import pathlib
from setuptools import setup, find_packages


def get_requirements(raw=False):
    """Build the requirements list for this project"""
    requirements_list = []

    with open('requirements.txt') as reqs:
        for install in reqs:
            if install.startswith('# only telegram.ext:'):
                if raw:
                    break
                continue
            requirements_list.append(install.strip())

    return requirements_list


def get_packages_requirements(raw=False):
    """Build the package & requirements list for this project"""
    reqs = get_requirements(raw=raw)
    exclude = ['tests*']
    packs = find_packages(exclude=exclude)
    return packs, reqs


packages, requirements = get_packages_requirements()

setup(
    name='polly-ipc',
    version='0.0.30',
    description='Wrapper for data ingestion and curation APIs',
    author='Shubhra',
    author_email='shubhra.agrawal@elucidata.io',
    packages=packages,
    include_package_data=True,
    install_requires=requirements
)
